Bug 45129 - Customize Toolbars: Add category "All commands"
Summary: Customize Toolbars: Add category "All commands"
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
3.5.0 Beta3
Hardware: Other All
: medium enhancement
Assignee: Jakub Trzebiatowski
URL:
Whiteboard: target:5.2.0
Keywords: difficultyInteresting, easyHack, skillCpp, topicUI
Depends on:
Blocks:
 
Reported: 2012-01-23 06:36 UTC by soymalo
Modified: 2016-10-25 19:08 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description soymalo 2012-01-23 06:36:58 UTC
Rightclick on Toolbar(Schaltfläche) -> Costumize Toolbar -> Add Command -> Commands:Add 

Hard to look for commands. Please implement category "All commands"

Regards
Comment 1 sasha.libreoffice 2012-05-11 00:33:34 UTC
Thanks for new idea
In 3.5.3 not implemented yet. Changing status to New
Comment 2 Piero 2013-01-30 22:45:42 UTC Comment hidden (off-topic)
Comment 3 sasha.libreoffice 2013-01-31 06:06:49 UTC Comment hidden (off-topic)
Comment 4 bfoman (inactive) 2013-02-26 16:52:21 UTC Comment hidden (off-topic)
Comment 5 Samuel Mehrbrodt (CIB) 2016-03-18 10:03:09 UTC
This is an EasyHack.
Look for SvxConfigGroupListBox in cui/source/customize/selector.cxx.
Comment 6 Jakub Trzebiatowski 2016-03-28 18:25:10 UTC
anyone working on it? if not I would like to
Comment 7 Commit Notification 2016-04-04 07:06:40 UTC
Jakub Trzebiatowski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=edc63d3abb5c4dae223f745f6384e7d0e5fc717e

tdf#45129 Customize Toolbars: Add category "All categories"

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Adolfo Jayme 2016-04-04 10:47:06 UTC
Thanks, Jakub!